wxSQLite3: wxsqlite3.cpp File Reference

wxSQLite3 3.3.0

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
wxsqlite3.cpp File Reference

Implementation of the wxSQLite3 class. More...

`#include "wx/wxprec.h"`
`#include "wx/wx.h"`
`#include "wx/regex.h"`
`#include "wx/thread.h"`
`#include "wx/wxsqlite3.h"`
`#include "wx/wxsqlite3opt.h"`
`#include "sqlite3.h"`

## Classes
class | wxSQLite3DatabaseReference
class | wxSQLite3StatementReference
class | wxSQLite3BlobReference

## Macros
#define | SQLITE_HAS_CODEC 1

## Typedefs
typedef int(* | sqlite3_xauth) (void *, int, const char *, const char *, const char *, const char *)

## Functions
wxLongLong | ConvertStringToLongLong (const wxString &str, wxLongLong defValue)
static double | wxSQLite3AtoF (const char *z)
static bool | BackupRestoreCallback (int total, int remaining, wxSQLite3BackupProgress *progressCallback)

## Variables
const wxChar * | wxERRMSG_NODB = wxTRANSLATE("No Database opened")
const wxChar * | wxERRMSG_NOSTMT = wxTRANSLATE("Statement not accessible")
const wxChar * | wxERRMSG_NOMEM = wxTRANSLATE("Out of memory")
const wxChar * | wxERRMSG_DECODE = wxTRANSLATE("Cannot decode binary")
const wxChar * | wxERRMSG_INVALID_INDEX = wxTRANSLATE("Invalid field index")
const wxChar * | wxERRMSG_INVALID_NAME = wxTRANSLATE("Invalid field name")
const wxChar * | wxERRMSG_INVALID_ROW = wxTRANSLATE("Invalid row index")
const wxChar * | wxERRMSG_INVALID_QUERY = wxTRANSLATE("Invalid scalar query")
const wxChar * | wxERRMSG_INVALID_BLOB = wxTRANSLATE("Invalid BLOB handle")
const wxChar * | wxERRMSG_NORESULT = wxTRANSLATE("Null Results pointer")
const wxChar * | wxERRMSG_BIND_STR = wxTRANSLATE("Error binding string param")
const wxChar * | wxERRMSG_BIND_INT = wxTRANSLATE("Error binding int param")
const wxChar * | wxERRMSG_BIND_INT64 = wxTRANSLATE("Error binding int64 param")
const wxChar * | wxERRMSG_BIND_DBL = wxTRANSLATE("Error binding double param")
const wxChar * | wxERRMSG_BIND_BLOB = wxTRANSLATE("Error binding blob param")
const wxChar * | wxERRMSG_BIND_DATETIME = wxTRANSLATE("Error binding date/time param")
const wxChar * | wxERRMSG_BIND_NULL = wxTRANSLATE("Error binding NULL param")
const wxChar * | wxERRMSG_BIND_ZEROBLOB = wxTRANSLATE("Error binding zero blob param")
const wxChar * | wxERRMSG_BIND_CLEAR = wxTRANSLATE("Error clearing bindings")
const wxChar * | wxERRMSG_NOMETADATA = wxTRANSLATE("Meta data support not available")
const wxChar * | wxERRMSG_NOCODEC = wxTRANSLATE("Encryption support not available")
const wxChar * | wxERRMSG_NOLOADEXT = wxTRANSLATE("Loadable extension support not available")
const wxChar * | wxERRMSG_NOINCBLOB = wxTRANSLATE("Incremental BLOB support not available")
const wxChar * | wxERRMSG_NOBLOBREBIND = wxTRANSLATE("Rebind BLOB support not available")
const wxChar * | wxERRMSG_NOSAVEPOINT = wxTRANSLATE("Savepoint support not available")
const wxChar * | wxERRMSG_NOBACKUP = wxTRANSLATE("Backup/restore support not available")
const wxChar * | wxERRMSG_NOWAL = wxTRANSLATE("Write Ahead Log support not available")
const wxChar * | wxERRMSG_NOCOLLECTIONS = wxTRANSLATE("Named collection support not available")
const wxChar * | wxERRMSG_SHARED_CACHE = wxTRANSLATE("Setting SQLite shared cache mode failed")
const wxChar * | wxERRMSG_INITIALIZE = wxTRANSLATE("Initialization of SQLite failed")
const wxChar * | wxERRMSG_SHUTDOWN = wxTRANSLATE("Shutdown of SQLite failed")
const wxChar * | wxERRMSG_TEMPDIR = wxTRANSLATE("Setting temporary directory failed")
const wxChar * | wxERRMSG_SOURCEDB_BUSY = wxTRANSLATE("Source database is busy")
const wxChar * | wxERRMSG_DBOPEN_FAILED = wxTRANSLATE("Database open failed")
const wxChar * | wxERRMSG_DBCLOSE_FAILED = wxTRANSLATE("Database close failed")
const wxChar * | wxERRMSG_DBASSIGN_FAILED = wxTRANSLATE("Database assignment failed")
const wxChar * | wxERRMSG_FINALIZE_FAILED = wxTRANSLATE("Finalize failed")
static const wxChar * | limitCodeString []
static const wxChar * | authCodeString []

## Detailed Description

Implementation of the wxSQLite3 class.

## Macro Definition Documentation

#define SQLITE_HAS_CODEC 1

## Typedef Documentation

typedef int(* sqlite3_xauth) (void *, int, const char *, const char *, const char *, const char *)

## Function Documentation

static bool BackupRestoreCallback | ( | int | total,
|  | int | remaining,
|  | wxSQLite3BackupProgress * | progressCallback
| ) |  |
| static

wxLongLong ConvertStringToLongLong | ( | const wxString & | str,
|  | wxLongLong | defValue
| ) |  |
| inline

static double wxSQLite3AtoF | ( | const char * | z | ) |
| static

## Variable Documentation

const wxChar* authCodeString[]
| static

Initial value:
=
{ wxT("SQLITE_COPY"), wxT("SQLITE_CREATE_INDEX"), wxT("SQLITE_CREATE_TABLE"),
wxT("SQLITE_CREATE_TEMP_INDEX"), wxT("SQLITE_CREATE_TEMP_TABLE"), wxT("SQLITE_CREATE_TEMP_TRIGGER"),
wxT("SQLITE_CREATE_TEMP_VIEW"), wxT("SQLITE_CREATE_TRIGGER"), wxT("SQLITE_CREATE_VIEW"),
wxT("SQLITE_DELETE"), wxT("SQLITE_DROP_INDEX"), wxT("SQLITE_DROP_TABLE"),
wxT("SQLITE_DROP_TEMP_INDEX"), wxT("SQLITE_DROP_TEMP_TABLE"), wxT("SQLITE_DROP_TEMP_TRIGGER"),
wxT("SQLITE_DROP_TEMP_VIEW"), wxT("SQLITE_DROP_TRIGGER"), wxT("SQLITE_DROP_VIEW"),
wxT("SQLITE_INSERT"), wxT("SQLITE_PRAGMA"), wxT("SQLITE_READ"),
wxT("SQLITE_SELECT"), wxT("SQLITE_TRANSACTION"), wxT("SQLITE_UPDATE"),
wxT("SQLITE_ATTACH"), wxT("SQLITE_DETACH"), wxT("SQLITE_ALTER_TABLE"),
wxT("SQLITE_REINDEX"), wxT("SQLITE_ANALYZE"), wxT("SQLITE_CREATE_VTABLE"),
wxT("SQLITE_DROP_VTABLE"), wxT("SQLITE_FUNCTION"), wxT("SQLITE_SAVEPOINT"),
wxT("SQLITE_RECURSIVE")
}

const wxChar* limitCodeString[]
| static

Initial value:
=
{ wxT("SQLITE_LIMIT_LENGTH"), wxT("SQLITE_LIMIT_SQL_LENGTH"),
wxT("SQLITE_LIMIT_COLUMN"), wxT("SQLITE_LIMIT_EXPR_DEPTH"),
wxT("SQLITE_LIMIT_COMPOUND_SELECT"), wxT("SQLITE_LIMIT_VDBE_OP"),
wxT("SQLITE_LIMIT_FUNCTION_ARG"), wxT("SQLITE_LIMIT_ATTACHED"),
wxT("SQLITE_LIMIT_LIKE_PATTERN_LENGTH"), wxT("SQLITE_LIMIT_VARIABLE_NUMBER"),
wxT("SQLITE_LIMIT_TRIGGER_DEPTH")
}

const wxChar* wxERRMSG_BIND_BLOB = wxTRANSLATE("Error binding blob param")

const wxChar* wxERRMSG_BIND_CLEAR = wxTRANSLATE("Error clearing bindings")

const wxChar* wxERRMSG_BIND_DATETIME = wxTRANSLATE("Error binding date/time param")

const wxChar* wxERRMSG_BIND_DBL = wxTRANSLATE("Error binding double param")

const wxChar* wxERRMSG_BIND_INT = wxTRANSLATE("Error binding int param")

const wxChar* wxERRMSG_BIND_INT64 = wxTRANSLATE("Error binding int64 param")

const wxChar* wxERRMSG_BIND_NULL = wxTRANSLATE("Error binding NULL param")

const wxChar* wxERRMSG_BIND_STR = wxTRANSLATE("Error binding string param")

const wxChar* wxERRMSG_BIND_ZEROBLOB = wxTRANSLATE("Error binding zero blob param")

const wxChar* wxERRMSG_DBASSIGN_FAILED = wxTRANSLATE("Database assignment failed")

const wxChar* wxERRMSG_DBCLOSE_FAILED = wxTRANSLATE("Database close failed")

const wxChar* wxERRMSG_DBOPEN_FAILED = wxTRANSLATE("Database open failed")

const wxChar* wxERRMSG_DECODE = wxTRANSLATE("Cannot decode binary")

const wxChar* wxERRMSG_FINALIZE_FAILED = wxTRANSLATE("Finalize failed")

const wxChar* wxERRMSG_INITIALIZE = wxTRANSLATE("Initialization of SQLite failed")

const wxChar* wxERRMSG_INVALID_BLOB = wxTRANSLATE("Invalid BLOB handle")

const wxChar* wxERRMSG_INVALID_INDEX = wxTRANSLATE("Invalid field index")

const wxChar* wxERRMSG_INVALID_NAME = wxTRANSLATE("Invalid field name")

const wxChar* wxERRMSG_INVALID_QUERY = wxTRANSLATE("Invalid scalar query")

const wxChar* wxERRMSG_INVALID_ROW = wxTRANSLATE("Invalid row index")

const wxChar* wxERRMSG_NOBACKUP = wxTRANSLATE("Backup/restore support not available")

const wxChar* wxERRMSG_NOBLOBREBIND = wxTRANSLATE("Rebind BLOB support not available")

const wxChar* wxERRMSG_NOCODEC = wxTRANSLATE("Encryption support not available")

const wxChar* wxERRMSG_NOCOLLECTIONS = wxTRANSLATE("Named collection support not available")

const wxChar* wxERRMSG_NODB = wxTRANSLATE("No Database opened")

const wxChar* wxERRMSG_NOINCBLOB = wxTRANSLATE("Incremental BLOB support not available")

const wxChar* wxERRMSG_NOLOADEXT = wxTRANSLATE("Loadable extension support not available")

const wxChar* wxERRMSG_NOMEM = wxTRANSLATE("Out of memory")

const wxChar* wxERRMSG_NOMETADATA = wxTRANSLATE("Meta data support not available")

const wxChar* wxERRMSG_NORESULT = wxTRANSLATE("Null Results pointer")

const wxChar* wxERRMSG_NOSAVEPOINT = wxTRANSLATE("Savepoint support not available")

const wxChar* wxERRMSG_NOSTMT = wxTRANSLATE("Statement not accessible")

const wxChar* wxERRMSG_NOWAL = wxTRANSLATE("Write Ahead Log support not available")

const wxChar* wxERRMSG_SHARED_CACHE = wxTRANSLATE("Setting SQLite shared cache mode failed")

const wxChar* wxERRMSG_SHUTDOWN = wxTRANSLATE("Shutdown of SQLite failed")

const wxChar* wxERRMSG_SOURCEDB_BUSY = wxTRANSLATE("Source database is busy")

const wxChar* wxERRMSG_TEMPDIR = wxTRANSLATE("Setting temporary directory failed")